aboutsummaryrefslogtreecommitdiff
path: root/share/hydra/git
diff options
context:
space:
mode:
authorSilvio Rhatto <rhatto@riseup.net>2012-01-12 10:26:15 -0200
committerSilvio Rhatto <rhatto@riseup.net>2012-01-12 10:26:15 -0200
commitd01d91c58496c8dd2f2ade007418dd1cca52e123 (patch)
tree925bf3e03b7be4a34c76ec06beabf43ac8308313 /share/hydra/git
parent8ba79775b8e359158184e1855e32fcf9603b5931 (diff)
downloadhydra-d01d91c58496c8dd2f2ade007418dd1cca52e123.tar.gz
hydra-d01d91c58496c8dd2f2ade007418dd1cca52e123.tar.bz2
Adding hydra git subcommand
Diffstat (limited to 'share/hydra/git')
-rwxr-xr-xshare/hydra/git35
1 files changed, 35 insertions, 0 deletions
diff --git a/share/hydra/git b/share/hydra/git
new file mode 100755
index 0000000..b35acac
--- /dev/null
+++ b/share/hydra/git
@@ -0,0 +1,35 @@
+#!/bin/bash
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU Affero General Public License as
+# published by the Free Software Foundation, either version 3 of the
+# License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU Affero General Public License for more details.
+#
+# You should have received a copy of the GNU Affero General Public
+# License along with this program. If not, see
+# <http://www.gnu.org/licenses/>.
+
+# Load.
+source $APP_BASE/lib/hydra/functions || exit 1
+hydra_config_load
+
+# Basic parameters.
+if [ -z "$1" ]; then
+ echo "No repository specified."
+ exit 1
+else
+ REPOSITORY="$1"
+ shift
+fi
+
+if [ -d "$HYDRA_FOLDER/$REPOSITORY/.git" ]; then
+ ( cd $HYDRA_FOLDER/$REPOSITORY && git $* )
+else
+ echo "No such repository $REPOSITORY at $HYDRA_FOLDER"
+ exit 1
+fi